include ../nessus.tmpl

OBJS = system.o network.o resolve.o arglists.o hlst.o  harglists.o getopt.o getopt1.o rand.o  snprintf.o addslashes.o
	

# += does not work with non-GNU make ...
# CFLAGS+=-I../$(CIPHER_SUBDIR)
CFLAGS+=-g $(NESSUS_CFLAGS)
INCLUDE = ${include} 
CIPHER = -I../$(CIPHER_SUBDIR)

all : libnessus-client.a


.c.o:
	$(CC) $(CIPHER) $(DEFS) $(INCLUDE) $(CFLAGS) -c $<

libnessus-client.a: $(OBJS)
	$(AR) rc libnessus-client.a $(OBJS)
	@ranlib libnessus-client.a || echo "ranlib failed"


distclean : clean

clean :
	rm -f *.o *.a


